package com.sunxung.factoring.entity.cashflowmanage.vo;

import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageEntryInfo;
import com.sunxung.factoring.entity.cashflowmanage.CashFlowManageOutInfo;

import java.util.Date;

/**
 * 现金流管理关联银行信息vo类
 */
public class CashFlowManageBankVo {
    /**
     * ID
     **/
    private Long id;
    /**
     * 日期(创建时间)
     **/
    private Date gmtCreate;
    /**
     * 银行名称
     **/
    private String bankName;
    /**
     * 银行卡号
     **/
    private String bankAccount;

    public CashFlowManageBankVo() {
    }

//    public CashFlowManageBankVo(CashFlowManageEntryInfo cashFlowManageEntryInfo) {
//        this.bankName = cashFlowManageEntryInfo.getBankName();
//        this.bankAccount = cashFlowManageEntryInfo.getBankAccount();
//    }

    public CashFlowManageBankVo(CashFlowManageOutInfo cashFlowManageOutInfo) {
        this.bankName = cashFlowManageOutInfo.getFromBankName();
        this.bankAccount = cashFlowManageOutInfo.getFromBankAccount();
        this.gmtCreate = cashFlowManageOutInfo.getLoanDate();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }
}
